scala.tools.nsc.ast.Printers

# CompactTreePrinter

#### class CompactTreePrinter extends Global.TreePrinter

A tree printer which is stingier about vertical whitespace and unnecessary punctuation than the standard one.

Source
  Printers.scala

Linear Supertypes
Global.TreePrinter, Global.TreePrinter, Global.TreePrinter, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompactTreePrinter
2. TreePrinter
3. TreePrinter
4. TreePrinter
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CompactTreePrinter(out: PrintWriter)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.CompactTreePrinter to any2stringadd[Global.CompactTreePrinter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.CompactTreePrinter, B)

   Implicit information
     This member is added by an implicit conversion from Global.CompactTreePrinter to ArrowAssoc[Global.CompactTreePrinter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def allStatements(t: Global.Tree): List[Global.Tree]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def comment(body: ⇒ Unit): Unit

   Attributes
     protected
   Definition Classes
     TreePrinter

10. #### val commentsRequired: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

11. #### def ensuring(cond: (Global.CompactTreePrinter) ⇒ Boolean, msg: ⇒ Any): Global.CompactTreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to Ensuring[Global.CompactTreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (Global.CompactTreePrinter) ⇒ Boolean): Global.CompactTreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to Ensuring[Global.CompactTreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.CompactTreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to Ensuring[Global.CompactTreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): Global.CompactTreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to Ensuring[Global.CompactTreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to StringFormat[Global.CompactTreePrinter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def indent(): Unit

    Definition Classes
      TreePrinter

22. #### var indentMargin: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

23. #### val indentStep: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

24. #### var indentString: String

    Attributes
      protected
    Definition Classes
      TreePrinter

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def parenthesize(condition: Boolean, open: String, close: String)(body: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

30. #### def print(args: Any*): Unit

    Definition Classes
      TreePrinter → TreePrinter → TreePrinter

31. #### def printAnnotations(tree: Global.MemberDef): Unit

    Definition Classes
      TreePrinter

32. #### def printBlock(stats: List[Global.Tree], expr: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

33. #### def printBlock(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

34. #### def printCaseDef(tree: Global.CaseDef): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

35. #### def printColumn(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      TreePrinter

36. #### def printDefDef(tree: Global.DefDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

37. #### def printFlags(flags: Long, privateWithin: String): Unit

    Definition Classes
      TreePrinter

38. #### def printFunction(tree: Global.Function)(printValueParams: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

39. #### var printIds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

40. #### def printImplicitInParamsList(vds: List[Global.ValDef]): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

41. #### def printImport(tree: Global.Import, resSelect: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

42. #### var printKinds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

43. #### def printLabelParam(p: Global.Ident): Unit

    Definition Classes
      TreePrinter

44. #### def printLabelParams(ps: List[Global.Ident]): Unit

    Definition Classes
      TreePrinter

45. #### def printLogicalAnd(t1: (Global.Tree, Boolean), t2: (Global.Tree, Boolean)): Unit

46. #### def printLogicalOp(t1: (Global.Tree, Boolean), t2: (Global.Tree, Boolean), op: String): Unit

47. #### def printLogicalOr(t1: (Global.Tree, Boolean), t2: (Global.Tree, Boolean)): Unit

48. #### var printMirrors: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

49. #### def printModifiers(tree: Global.Tree, mods: Global.Modifiers): Unit

    Definition Classes
      TreePrinter

50. #### def printOpt(prefix: String, tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

51. #### var printOwners: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

52. #### def printPackageDef(tree: Global.PackageDef, separator: String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

53. #### def printParam(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

54. #### def printPosition(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

55. #### var printPositions: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

56. #### def printRow(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      CompactTreePrinter → TreePrinter

57. #### def printRow(ts: List[Global.Tree], sep: String): Unit

    Definition Classes
      TreePrinter

58. #### def printSeq[a](ls: List[a])(printelem: (a) ⇒ Unit)(printsep: ⇒ Unit): Unit

    Definition Classes
      TreePrinter

59. #### def printSuper(tree: Global.Super, resultName: ⇒ String, checkSymbol: Boolean): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

60. #### def printThis(tree: Global.This, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

61. #### def printTree(tree: Global.Tree): Unit

    Definition Classes
      CompactTreePrinter → TreePrinter

62. #### def printTypeDef(tree: Global.TypeDef, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

63. #### def printTypeParams(ts: List[Global.TypeDef]): Unit

    Definition Classes
      TreePrinter

64. #### var printTypes: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

65. #### def printTypesInfo(tree: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

66. #### def printValDef(tree: Global.ValDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

67. #### def printValueParams(ts: List[Global.ValDef], inParentheses: Boolean): Unit

    Definition Classes
      TreePrinter

68. #### def println(): Unit

    Definition Classes
      TreePrinter

69. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

70. #### def toString(): String

    Definition Classes
      AnyRef → Any

71. #### def undent(): Unit

    Definition Classes
      TreePrinter

72. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

73. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

74. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### def withIds: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

76. #### def withKinds: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

77. #### def withMirrors: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

78. #### def withOwners: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

79. #### def withPositions: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

80. #### def withTypes: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

81. #### def withoutIds: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

82. #### def withoutKinds: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

83. #### def withoutMirrors: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

84. #### def withoutOwners: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

85. #### def withoutPositions: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

86. #### def withoutTypes: CompactTreePrinter.this.type

    Definition Classes
      TreePrinter

87. #### def →[B](y: B): (Global.CompactTreePrinter, B)

    Implicit information
      This member is added by an implicit conversion from Global.CompactTreePrinter to ArrowAssoc[Global.CompactTreePrinter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.TreePrinter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.CompactTreePrinter to any2stringadd[Global.CompactTreePrinter]

### Inherited by implicit conversion StringFormat from Global.CompactTreePrinter to StringFormat[Global.CompactTreePrinter]

### Inherited by implicit conversion Ensuring from Global.CompactTreePrinter to Ensuring[Global.CompactTreePrinter]

### Inherited by implicit conversion ArrowAssoc from Global.CompactTreePrinter to ArrowAssoc[Global.CompactTreePrinter]

### Ungrouped